%define fname	isodate

Name:		python-isodate
Summary:	An ISO 8601 date/time/duration parser and formater Python module
Version:	0.5.4
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/i/%{fname}/%{fname}-%{version}.tar.gz
URL:		http://cheeseshop.python.org/pypi/isodate
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-setuptools
	
%description
This Python 2 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%package -n python3-isodate
Summary:	An ISO 8601 date/time/duration parser and formater Python 3 module
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	python3-setuptools

%description -n python3-isodate
This Python 3 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%prep
%setup -q -n %{fname}-%{version}
rm -rf %{fname}.egg-info
%autopatch -p1
cp -a . %{py3dir}


%build
pushd %{py3dir}
%py3_build
popd
%py2_build


%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst
%{python2_sitelib}/*egg-info
%{python2_sitelib}/%{fname}

%files -n python3-isodate
%doc README.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}




%changelog
* Tue Nov 24 2015 philippem <philippem> 0.5.4-1.mga6
+ Revision: 905830
- update to O.5.4

* Thu Oct 08 2015 tv <tv> 0.5.0-5.mga6
+ Revision: 887455
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 749294
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.0-3.mga5
+ Revision: 728797
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 688092
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 0.5.0-1.mga5
+ Revision: 638942
- update to 0.5.0

* Sat May 31 2014 pterjan <pterjan> 0.4.9-5.mga5
+ Revision: 628718
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.9-4.mga4
+ Revision: 543591
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.9-3.mga4
+ Revision: 498759
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.9-2.mga3
+ Revision: 379024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 0.4.9-1.mga3
+ Revision: 334894
- imported package python-isodate

